body {
  display: flex;
  align-items: start;
  justify-content: center;
  height: 100vh;
}

.reservation-area {
  box-shadow: 0 0 16px #00000033;
  display: flex;
  border-radius: 8px;
  flex-direction: column;
  margin-top: 20px;

  @supports (backdrop-filter: blur(6px)) {
    background: #ffffffA0;
    backdrop-filter: blur(6px);
  }

  @supports not (backdrop-filter: blur(6px)) {
    background: #ffffffCC;
  }

  h2 {
    padding-left: 20px;
  }
}

.style-table {
  border-collapse: collapse;
  font-size: 0.9em;
  min-width: 60vw;
  box-shadow: 0 0 20px rgba(0, 0, 0, 0.15);
  position: relative;

  thead tr {
    background-color: black;
    color: #ffffff;
    text-align: center;
  }

  th,td {
    padding: 12px 15px;
  }

  th {
    position: sticky;
    top: 0;
    background-color: black;
  }

  tr {
    text-align: center;
  }

  tbody tr {
    border-bottom: 1px solid #f5f5f5;
    background-color: white;
  }

  tbody tr:hover {
    background-color: #dedede !important;
    border: #dedede !important;
  }

  tbody tr:nth-of-type(even) {
    background-color: #f5f5f5;
  }

  body tr:last-of-type {
    border-bottom: 2px solid #f5f5f5;
  }
}

.button-tab-area {
  display: flex;
  flex-direction: column;
  gap: 5px;
  align-items: center;
  padding: 10px 0;

  div {
    display: flex;
    flex-direction: row;
    gap: 5px;
  }
}